//---------------------------------------------------------------------------

#ifndef SettingsH
#define SettingsH
//---------------------------------------------------------------------------
#include <System.hpp>

enum E_AFTERSEND
{
	AFTERSEND_NONE = 0,
	AFTERSEND_CLEAR,
	AFTERSEND_HISTORY_NEXT,
	AFTERSEND_MAX
};

enum E_SENDSUFFIX
{
	SENDSUFFIX_NONE = 0,
	SENDSUFFIX_CR,
	SENDSUFFIX_LF,
	SENDSUFFIX_CRLF
};

class Settings
{
public:
	bool Read(AnsiString asFileName);
	bool Write(AnsiString asFileName);
	bool bDetectIpAtConnect;		///< try to detect if host is given by IP, not hostname (not using DNS -> faster)
	bool bKeepAlive;
	int iPosX, iPosY;				///< main window coordinates
	int iHeight, iWidth;			///< main window size
	bool bWindowMaximized;			///< is main window maximize?
	bool bSendOnEnter;				///< send when enter is pressed
	bool bAutoScroll;				///< auto scroll log
	unsigned int iMaxUiLogLines;	///< maximum no. of lines cached with GUI
	int iAfterSend;					///< what to do after send with edit control
	bool bAutoComplete;				///< use autocomplete for edit control
	bool bAutoCompleteCaseSensitive;
	int iSendSuffix;				///< what to append to sended text
	bool bClearWindowAtReconnect;
	bool bAlwaysOnTop;
	AnsiString asLogInitialDir;		///< initial directory for writing log file
};

#endif
